<p class="title"><%= 'Search results'.t %></p>
<% unless @result.blank? %>
  <% if params[:undelete_opt] %>
    <h1><%= link_to 'Delete all'.t, { :action => 'empty_trash' }, { :confirm => 'This removes all trashed files you have access to, including those in the following pages if there are any.'.t}  %></h1> 
  <% else %>
    <%= 'Your query'.t %>: <i><%= @search_query %></i><br>
  <% end %>
  <%= 'Shown'.t %>: <i><%= @result.size %></i><br>
  <br>
    
    <table class="grid">
    
    <% @result.each do |result| %>
        <% odd_or_even = cycle('even', 'odd') %>
        <% if result.class == Folder %>
            <tr class="<%= odd_or_even %>">
                <td width="16"><%= image_tag('folder.png') %></td>
                <td colspan="2">
                    <%= link_to result.name, :controller => 'folder', :action => 'list', :id => result.id %>
                    <% unless result.is_root %>
                        in <%= path(result.parent, true) %>
                    <% end %>
                </td>
            </tr>
        <% elsif result.class == Myfile %>
            <tr class="<%= odd_or_even %>">
                <td width="16"><%= image_tag('file.png') %></td>
                <td><%= h(result.filename) %> (<%= result.filesize %> KB) in <%= path(result.folder, true) %>
                <%= '<br />' + 'Tags: '.t + tags_of(result) if result.tag_list.length > 0 %></td>
                <td align="right">
                  <% if params[:undelete_opt]%>
                    <%= link_to 'Restore'.t, :controller => 'file', :action => 'restore', :id => result.id %>
                    <%= link_to 'Delete'.t, :controller => 'file', :action => 'destroy', :id => result.id %>
                  <% else %>
                    <%= link_to 'Download'.t, :controller => 'file', :action => 'download', :id => result.id %>
                  <% end %>
            <% if result.indexed %>
                    | <%= link_to 'Preview'.t, :controller => 'file', :action => 'preview', :id => result.id, :search => @search_query %>
            <% end %>
                    &nbsp;
                </td>
            </tr>
            <% highlighted_text = result.highlight(@search_query, { :field => :text, :pre_tag => '[h]', :post_tag => '[/h]' }) %>
            <% unless highlighted_text.blank? %>
            <tr class="<%= odd_or_even %>">
                <td colspan="3" class="smallResult"><%= h(highlighted_text).gsub('[h]', '<b>').gsub('[/h]', '</b>') %></td>
            </tr>
            <% end %>
        <% end %>
    <% end %>
    </table>
      <p><%= more_link(RESULT_LIST_LIMIT) %></p>
<% else %>
    <i><%= 'Sorry, no results for your query'.t %>: <%= @search_query %></i>
<% end %>